Announcement

Collapse
No announcement yet.

Unreal Engine 4.25 released!

Collapse
This is a sticky topic.
X
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Related to my problem above, does anyone know what the problems can be? I've tested on 4.25.0 and 4.25.3 and still get the same errors. Tried on a fresh project and still the same. Also tested on a new computer and I'm getting those errors.
    This only appears when building ETC2. With ASTC it's working, but my game is crashing

    Comment


      My launcher is unable to see either 4.25.1/.2 or .3 adding a new version only gives 4.24.3 which is != 4.25.3


      Click image for larger version

Name:	no4253.png
Views:	594
Size:	58.8 KB
ID:	1795055

      Comment


        Originally posted by MelonySharon View Post
        My launcher is unable to see either 4.25.1/.2 or .3 adding a new version only gives 4.24.3 which is != 4.25.3


        Click image for larger version

Name:	no4253.png
Views:	594
Size:	58.8 KB
ID:	1795055
        Restart your launcher and on the same 4.25.0 button you should see "Update" instead of "Launch". 4.25.3 is not a different engine version, it's still 4.25.x

        Comment


          Originally posted by motorsep View Post

          Restart your launcher and on the same 4.25.0 button you should see "Update" instead of "Launch". 4.25.3 is not a different engine version, it's still 4.25.x
          Ah ha! the restart worked, it finally switched to a yellow update button.

          Comment


            Originally posted by Splatterbaby View Post
            Updated to 4.25.3 and I now get a message saying. The following modules are missing or built with a different engine version for megascans. I deleted plugin and reinstalled through bridge but still get this. Any help would be huge. Thanks
            I was getting this in 4.25.2 and I was also still getting it in 4.25.3 despite also having updated the MS plugin through Bridge. Bummer!

            MegascansPlugin is incompatible error message regarding missing modules.



            What I found fixed this issue for me was to:
            1. restart my PC (to make sure nothing is running)
            2. go to C:\Program Files\Epic Games\UE_4.25\Engine\Plugins
            3. delete the MegascansPlugin folder altogether (which you said you've done but...) - note: I also in deleted the same folder in UE_4.24 folder just in case
            4. launch Bridge first and select Export on a local asset to get the location prompt
            5. make sure after it's downloaded to install it by selecting 4.25 from engine version and clicking to select install location as the ...Engine\Plugins folder

            Selecting the Engine Version (4.25) and Installation Folder location in Bridge after deleting and re-downloading the latest version.



            I know you said you've done this but I hope repeating these steps helps.

            Love & Respect,
            Dan
            Last edited by Jarrastafari; 07-31-2020, 08:28 AM. Reason: Mentioned removal of 4.24 plguin.

            Comment


              any news about 4.26 preview ?

              Comment


                Originally posted by Farshid View Post
                any news about 4.26 preview ?
                Since its release is expected for October, it will probably go on preview at September only.
                Nilson Lima
                Technical Director @ Rigel Studios Ltda - twitter: @RigelStudios
                Join us at Discord: https://discord.gg/FUwTvzr

                UE4 Marketplace: Cloudscape Seasons
                supporting: Community FREE Ocean plugin

                Comment


                  I'm getting this when I try to package my project on 4.25.3 (built just fine in 4.25.1) Windows64:
                  LogLauncherProfile: Unable to use promoted target - receipt ../../../../../Dy425/Binaries/Win64/Dyna2020.target is not for a promoted target

                  Will try to provide any information/help required to help fix this.

                  Comment


                    Hey there guys! I am fresh installing unreal - I have installed this and using windows 7 (i still need to upgrade). But I can only see 4.18 in the drop down, it wont allow me install the new 4.25. Is there something wrong here guys?
                    Anyone else seen this?

                    Thank you

                    Comment


                      After posted my game on Android, I've made a new update with 4.25.1 ( 4.25.0 worked ). After the update all the users who installed the game on armv7 device support they get this error.

                      signal 11 (SIGSEGV), code 1 (SEGV_MAPERR)

                      *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
                      pid: 0, tid: 0 >>> com.thelostroad <<<

                      backtrace:
                      #00 pc 00000000041a4be8 /data/app/com.thelostroad-_QivyUx2ER4HyyWL2WPkUw==/lib/arm/libUE4.so (offset 0x389e000) (FAsyncPackage::PostLoadObjects()+624)
                      #00 pc 000000000419b86c /data/app/com.thelostroad-_QivyUx2ER4HyyWL2WPkUw==/lib/arm/libUE4.so (offset 0x389e000) (FAsyncPackage::TickAsyncPackage(bool, bool, float&, FFlushTree*)+500)
                      #00 pc 000000000419ab84 /data/app/com.thelostroad-_QivyUx2ER4HyyWL2WPkUw==/lib/arm/libUE4.so (offset 0x389e000) (FAsyncLoadingThread::ProcessAsyncLoading(int&, bool, bool, float, FFlushTree*)+1820)
                      #00 pc 000000000419f544 /data/app/com.thelostroad-_QivyUx2ER4HyyWL2WPkUw==/lib/arm/libUE4.so (offset 0x389e000) (FAsyncLoadingThread::TickAsyncThread(bool, bool, float, bool&, FFlushTree*)+628)
                      #00 pc 000000000419ec94 /data/app/com.thelostroad-_QivyUx2ER4HyyWL2WPkUw==/lib/arm/libUE4.so (offset 0x389e000) (FAsyncLoadingThread::TickAsyncLoading(bool, bool, float, FFlushTree*)+436)
                      #00 pc 00000000041a69c4 /data/app/com.thelostroad-_QivyUx2ER4HyyWL2WPkUw==/lib/arm/libUE4.so (offset 0x389e000) (FAsyncLoadingThread::FlushLoading(int)+484)
                      #00 pc 000000000430c164 /data/app/com.thelostroad-_QivyUx2ER4HyyWL2WPkUw==/lib/arm/libUE4.so (offset 0x389e000) (LoadPackageInternal(UPackage*, char16_t const*, unsigned int, FLinkerLoad*, FArchive*, FUObjectSerializeContext*)+1324)
                      #00 pc 000000000430a91c /data/app/com.thelostroad-_QivyUx2ER4HyyWL2WPkUw==/lib/arm/libUE4.so (offset 0x389e000) (LoadPackage(UPackage*, char16_t const*, unsigned int, FArchive*, FUObjectSerializeContext*)+180)
                      #00 pc 00000000043095d8 /data/app/com.thelostroad-_QivyUx2ER4HyyWL2WPkUw==/lib/arm/libUE4.so (offset 0x389e000) (ResolveName(UObject*&, FString&, bool, bool, unsigned int, FUObjectSerializeContext*)+1104)
                      #00 pc 000000000430ab98 /data/app/com.thelostroad-_QivyUx2ER4HyyWL2WPkUw==/lib/arm/libUE4.so (offset 0x389e000) (StaticLoadObjectInternal(UClass*, UObject*, char16_t const*, char16_t const*, unsigned int, UPackageMap*, bool, FUObjectSerializeContext*)+248)
                      #00 pc 00000000042f87ac /data/app/com.thelostroad-_QivyUx2ER4HyyWL2WPkUw==/lib/arm/libUE4.so (offset 0x389e000) (StaticLoadObject(UClass*, UObject*, char16_t const*, char16_t const*, unsigned int, UPackageMap*, bool, FUObjectSerializeContext*)+160)
                      #00 pc 0000000005c7e4e8 /data/app/com.thelostroad-_QivyUx2ER4HyyWL2WPkUw==/lib/arm/libUE4.so (offset 0x389e000) (UGameEngine::Init(IEngineLoop*)+296)
                      #00 pc 00000000038aaf34 /data/app/com.thelostroad-_QivyUx2ER4HyyWL2WPkUw==/lib/arm/libUE4.so (offset 0x389e000) (FEngineLoop::Init()+1252)
                      #00 pc 00000000038aa738 /data/app/com.thelostroad-_QivyUx2ER4HyyWL2WPkUw==/lib/arm/libUE4.so (offset 0x389e000) (AndroidMain(android_app*)+2732)
                      #00 pc 00000000038ae5f4 /data/app/com.thelostroad-_QivyUx2ER4HyyWL2WPkUw==/lib/arm/libUE4.so (offset 0x389e000) (android_main+136)
                      #00 pc 00000000038c7af4 /data/app/com.thelostroad-_QivyUx2ER4HyyWL2WPkUw==/lib/arm/libUE4.so (offset 0x389e000)
                      #00 pc 0000000000071461 /system/lib/libc.so (__pthread_start(void*)+22)
                      #00 pc 000000000001dea5 /system/lib/libc.so (__start_thread+24)

                      Can someone help me please. It's a month now I'm trying to solve this. The problem is that my app is live now with this crash and I can't find any solutions to it. On 4.24 and 4.25.0 it worked but now I can't solve it anymore.
                      Last edited by butavpaul; 08-03-2020, 07:43 AM.

                      Comment


                        can anybody confirm if windows 7 is supported again? i cant see any mention in the changelog (i might be blind) and i dont have windows 7 to confirm myself

                        Comment


                          Originally posted by Jarrastafari View Post




                          I know you said you've done this but I hope repeating these steps helps.

                          Love & Respect,
                          Dan
                          I still get the issue but I really appreciate the reply and trying to help Dan. Love and respect back to you dude

                          Comment


                            Originally posted by untraceablesmurf View Post
                            can anybody confirm if windows 7 is supported again? i cant see any mention in the changelog (i might be blind) and i dont have windows 7 to confirm myself
                            UE4.25.2/3 patch fixed Win7 related issues.
                            Rule#21: Be polite, be professional, but have a plan to kill everyone you meet.

                            Comment


                              Is 4.25.4 planned or 4.26p1 is next ?

                              Comment


                                There are a LOT of bugs in the Ray Tracing element of the past 2 builds that I have tested. Launch the engine with Ray Tracing enabled, results in a quick crash, even before I can do anything. Launch the engines without Ray Tracing, no crash.
                                My Rig is more than capable in running Ray Tracing, I have uninstalled and reinstalled, verified the engine builds etc several times. The first time I updated the two hotfixes, on loading the editor, it had to compile over 6,500 shaders in an empty project.

                                Windows it 100% upto date, along with GC drivers and every driver on the Rig, including the Bios.

                                Anyone have any ideas?
                                Politeness is Priceless when received, cost nothing to own or give, yet some cannot afford..... ARC2003

                                Comment

                                Working...
                                X